Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Collections/ICollectionBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Collections/ICollectionBase.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Collections/ICollectionBase.cs	(revision 4068)
@@ -1,102 +1,98 @@
 ﻿using System;
-using System.Collections;
 using System.Collections.Generic;
-using System.IO;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Describes the CollectionBase collection.
+  /// </summary>
+  /// <typeparam name="T"></typeparam>
+  public interface ICollectionBase<T> : ICollection<T>, IList<T> {
+    #region Events
     /// <summary>
-    /// Describes the CollectionBase collection.
+    /// Occurs when the collection is cleared.
     /// </summary>
-    /// <typeparam name="T"></typeparam>
-    public interface ICollectionBase<T> : ICollection<T>, IList<T>
-    {
-        #region Events
-        /// <summary>
-        /// Occurs when the collection is cleared.
-        /// </summary>
-        event EventHandler OnClear;
-        /// <summary>
-        /// Occurs when an item is added to the collection.
-        /// </summary>
-        event EventHandler<CollectionEventArgs<T>> OnItemAdded;
-        /// <summary>
-        /// Occurs when en item is removed from the collection.
-        /// </summary>
-        event EventHandler<CollectionEventArgs<T>> OnItemRemoved;
-        #endregion
+    event EventHandler OnClear;
+    /// <summary>
+    /// Occurs when an item is added to the collection.
+    /// </summary>
+    event EventHandler<CollectionEventArgs<T>> OnItemAdded;
+    /// <summary>
+    /// Occurs when en item is removed from the collection.
+    /// </summary>
+    event EventHandler<CollectionEventArgs<T>> OnItemRemoved;
+    #endregion
 
-        #region Properties
-      
-        #endregion
+    #region Properties
 
-        #region Methods
-        /// <summary>
-        /// Adds the range of items to the collection.
-        /// </summary>
-        /// <param name="items">The items.</param>
-        void AddRange(CollectionBase<T> items);
-        /// <summary>
-        /// Copies this instance.
-        /// </summary>
-        /// <returns></returns>
-        CollectionBase<T> Copy();
-        /// <summary>
-        /// Creates a deep copy of this instance.
-        /// </summary>
-        /// <returns></returns>
-        CollectionBase<T> DeepCopy();
-        /// <summary>
-        /// Uses the given predicate to test the existence of a certain item in the collection.
-        /// </summary>
-        /// <param name="predicate">The predicate.</param>
-        /// <returns></returns>
-        bool Exists(Predicate<T> predicate);
-        /// <summary>
-        /// Finds the specified predicate.
-        /// </summary>
-        /// <param name="predicate">The predicate.</param>
-        /// <returns></returns>
-        T Find(Predicate<T> predicate);
-        /// <summary>
-        /// Uses the given Action to act on the collection items
-        /// </summary>
-        /// <param name="action">The action.</param>
-        void ForEach(Action<T> action);
-       
-      
-        ICollection<T> RemoveAll(Predicate<T> predicate);
+    #endregion
 
-        /// <summary>
-        /// Converts the collection to an array.
-        /// </summary>
-        /// <returns></returns>
-        T[] ToArray();
-        /// <summary>
-        /// Specific copy/paste utility function.
-        /// </summary>
-        /// <returns></returns>
-        System.IO.MemoryStream ToStream();
-        /// <summary>
-        /// Returns a string representation of the collection.
-        /// </summary>
-        /// <param name="format">The format.</param>
-        /// <param name="formatProvider">The format provider.</param>
-        /// <returns></returns>
-        string ToString(string format, IFormatProvider formatProvider);
-        /// <summary>
-        /// Returns a string representation of the collection.
-        /// </summary>
-        /// <returns></returns>
-        string ToString();
-        /// <summary>
-        /// Checks, using the given predicate, whether a certain property is true for all items in the collection.
-        /// </summary>
-        /// <param name="predicate">The predicate.</param>
-        /// <returns></returns>
-        bool TrueForAll(Predicate<T> predicate);
-        #endregion
+    #region Methods
+    /// <summary>
+    /// Adds the range of items to the collection.
+    /// </summary>
+    /// <param name="items">The items.</param>
+    void AddRange(CollectionBase<T> items);
+    /// <summary>
+    /// Copies this instance.
+    /// </summary>
+    /// <returns></returns>
+    CollectionBase<T> Copy();
+    /// <summary>
+    /// Creates a deep copy of this instance.
+    /// </summary>
+    /// <returns></returns>
+    CollectionBase<T> DeepCopy();
+    /// <summary>
+    /// Uses the given predicate to test the existence of a certain item in the collection.
+    /// </summary>
+    /// <param name="predicate">The predicate.</param>
+    /// <returns></returns>
+    bool Exists(Predicate<T> predicate);
+    /// <summary>
+    /// Finds the specified predicate.
+    /// </summary>
+    /// <param name="predicate">The predicate.</param>
+    /// <returns></returns>
+    T Find(Predicate<T> predicate);
+    /// <summary>
+    /// Uses the given Action to act on the collection items
+    /// </summary>
+    /// <param name="action">The action.</param>
+    void ForEach(Action<T> action);
 
-        
-        
-    }
+
+    ICollection<T> RemoveAll(Predicate<T> predicate);
+
+    /// <summary>
+    /// Converts the collection to an array.
+    /// </summary>
+    /// <returns></returns>
+    T[] ToArray();
+    /// <summary>
+    /// Specific copy/paste utility function.
+    /// </summary>
+    /// <returns></returns>
+    System.IO.MemoryStream ToStream();
+    /// <summary>
+    /// Returns a string representation of the collection.
+    /// </summary>
+    /// <param name="format">The format.</param>
+    /// <param name="formatProvider">The format provider.</param>
+    /// <returns></returns>
+    string ToString(string format, IFormatProvider formatProvider);
+    /// <summary>
+    /// Returns a string representation of the collection.
+    /// </summary>
+    /// <returns></returns>
+    string ToString();
+    /// <summary>
+    /// Checks, using the given predicate, whether a certain property is true for all items in the collection.
+    /// </summary>
+    /// <param name="predicate">The predicate.</param>
+    /// <returns></returns>
+    bool TrueForAll(Predicate<T> predicate);
+    #endregion
+
+
+
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Collections/StackBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Collections/StackBase.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Collections/StackBase.cs	(revision 4068)
@@ -2,122 +2,111 @@
 using System.Collections;
 using System.Collections.Generic;
-using System.Diagnostics;
 
 
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// This is a wrapper around the <see cref="Stack"/> which communicates Push and Pop events
+  /// </summary>
+  /// <typeparam name="T"></typeparam>
+  public class StackBase<T> {
+    #region Fields
     /// <summary>
-    /// This is a wrapper around the <see cref="Stack"/> which communicates Push and Pop events
+    /// the internal stack based on the .Net <see cref="Stack"/> implementation
     /// </summary>
-    /// <typeparam name="T"></typeparam>
-    public class StackBase<T>
-    {
-        #region Fields
-        /// <summary>
-        /// the internal stack based on the .Net <see cref="Stack"/> implementation
-        /// </summary>
-        private Stack<T> InnerStack;
-        #endregion
+    private Stack<T> InnerStack;
+    #endregion
 
-        #region Events
-        /// <summary>
-        /// Occurs when an item is pushed onto the stack
-        /// </summary>
-        public event EventHandler<CollectionEventArgs<T>> OnItemPushed;
-        /// <summary>
-        /// Occurs when an item is popped from the stack
-        /// </summary>
-        public event EventHandler<CollectionEventArgs<T>> OnItemPopped;
-        #endregion;
+    #region Events
+    /// <summary>
+    /// Occurs when an item is pushed onto the stack
+    /// </summary>
+    public event EventHandler<CollectionEventArgs<T>> OnItemPushed;
+    /// <summary>
+    /// Occurs when an item is popped from the stack
+    /// </summary>
+    public event EventHandler<CollectionEventArgs<T>> OnItemPopped;
+    #endregion;
 
-        #region Constructor
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:StackBase&lt;T&gt;"/> class.
-        /// </summary>
-        public StackBase()
-        {
-            InnerStack = new Stack<T>();
-        }
-        #endregion
+    #region Constructor
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:StackBase&lt;T&gt;"/> class.
+    /// </summary>
+    public StackBase() {
+      InnerStack = new Stack<T>();
+    }
+    #endregion
 
-        #region Methods
+    #region Methods
 
-        /// <summary>
-        /// Gets the number of elements in the stack
-        /// </summary>
-        /// <value>The count.</value>
-        public int Count
-        {
-            get { return InnerStack.Count; }
-        }
+    /// <summary>
+    /// Gets the number of elements in the stack
+    /// </summary>
+    /// <value>The count.</value>
+    public int Count {
+      get { return InnerStack.Count; }
+    }
 
 
-        /// <summary>
-        /// Pushes the specified item.
-        /// </summary>
-        /// <param name="item">A parameter of the generics Type T</param>
-        public void Push(T item)
-        {
+    /// <summary>
+    /// Pushes the specified item.
+    /// </summary>
+    /// <param name="item">A parameter of the generics Type T</param>
+    public void Push(T item) {
 
-            this.InnerStack.Push(item);
-            RaiseOnItemPushed(item);
+      this.InnerStack.Push(item);
+      RaiseOnItemPushed(item);
 
-        }
+    }
 
-        /// <summary>
-        /// Pops the next item from the stack
-        /// </summary>
-        /// <returns></returns>
-        public T Pop()
-        {
-            T item =
-             InnerStack.Pop();
-            RaiseOnItemPopped(item);
-            return item;
-        }
+    /// <summary>
+    /// Pops the next item from the stack
+    /// </summary>
+    /// <returns></returns>
+    public T Pop() {
+      T item =
+       InnerStack.Pop();
+      RaiseOnItemPopped(item);
+      return item;
+    }
 
-        /// <summary>
-        /// Peeks the next item in the stack
-        /// </summary>
-        /// <returns></returns>
-        public T Peek()
-        {
-            return InnerStack.Peek();
-        }
+    /// <summary>
+    /// Peeks the next item in the stack
+    /// </summary>
+    /// <returns></returns>
+    public T Peek() {
+      return InnerStack.Peek();
+    }
 
 
-        /// <summary>
-        /// Converts the stack to an array.
-        /// </summary>
-        /// <returns></returns>
-        public T[] ToArray()
-        {
-            return InnerStack.ToArray();
-        }
+    /// <summary>
+    /// Converts the stack to an array.
+    /// </summary>
+    /// <returns></returns>
+    public T[] ToArray() {
+      return InnerStack.ToArray();
+    }
 
 
-        /// <summary>
-        /// Raises the <see cref="OnItemPushed"/>.
-        /// </summary>
-        /// <param name="item">A parameter of the generics Type T</param>
-        private void RaiseOnItemPushed(T item)
-        {
-            EventHandler<CollectionEventArgs<T>> handler = OnItemPushed;
-            handler(this, new CollectionEventArgs<T>(item));
-        }
+    /// <summary>
+    /// Raises the <see cref="OnItemPushed"/>.
+    /// </summary>
+    /// <param name="item">A parameter of the generics Type T</param>
+    private void RaiseOnItemPushed(T item) {
+      EventHandler<CollectionEventArgs<T>> handler = OnItemPushed;
+      handler(this, new CollectionEventArgs<T>(item));
+    }
 
-        /// <summary>
-        /// Raises the on OnItemPopped event.
-        /// </summary>
-        /// <param name="item">A parameter of the generics Type T</param>
-        private void RaiseOnItemPopped(T item)
-        {
-            EventHandler<CollectionEventArgs<T>> handler = OnItemPopped;
-            handler(this, new CollectionEventArgs<T>(item));
-        }
+    /// <summary>
+    /// Raises the on OnItemPopped event.
+    /// </summary>
+    /// <param name="item">A parameter of the generics Type T</param>
+    private void RaiseOnItemPopped(T item) {
+      EventHandler<CollectionEventArgs<T>> handler = OnItemPopped;
+      handler(this, new CollectionEventArgs<T>(item));
+    }
 
 
-        #endregion
+    #endregion
 
-    }
+  }
 }
